Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

When submitting API key information and clicking "Connect to Twitter" in the WordPress "Twitter Tools" plugin, I get a 500 internal server error. Nothing is logged by apache or php. I'm using WP 3.3.2, Ubuntu Meerkat, apache2, PHP 5.3.3-1ubuntu9.10. Although I am not sure what their wp/web/php/wordpress server settings are, others seem to be experiencing the same issue, as can be seen on this thread (which is in what is supposedly the official support forum, but no luck with a response there yet): http://wordpress.org/support/topic/plugin-twitter-tools-error-when-clicking-on-connect-to-twitter. Any ideas on possible causes or fixes? Does anyone know if this plugin is still being supported?

share|improve this question

2 Answers 2

up vote 4 down vote accepted

As the author of Twitter Tools, I can confirm it is alive and well.

Twitter Tools 3.0 beta 2 was released earlier this year:

http://alexking.org/blog/2012/01/22/twitter-tools-3-0-beta-2

Now that Social 2.5 is out, a final release of Twitter Tools 3.0 will be available once we have some time to finish testing. You can always grab the latest version from GitHub:

https://github.com/crowdfavorite/wp-twitter-tools

Perhaps it is worth noting that Twitter Tools is released under the GPL which includes the following:

NO WARRANTY

  1. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
share|improve this answer
    
Good to see it's still alive! Social 2.5 looks pretty slick as well (thanks, MailChimp). –  SickHippie Jun 13 '12 at 23:07

That plugin hasn't been updated in nearly 2 years. There were so many changes in 3.1 and 3.3 (not to mention Twitter API changes) that I'm shocked when a plugin DOES work right afterwards. I would really recommend you find a different plugin for what you need. There's a number of up-to-date Twitter integration plugins, but without knowing which features of Twitter Tools you were using, I can't make a solid recommendation. Update with more information and we'll find something for you.

Edited to add: You might try the development version at GitHub here. It appears to be a beta version updated in February.

share|improve this answer
    
Cool, thanks for the information. I should be able to find other plugins that'll take its place -- Twitter Tools just came recommended and seemed to do multiple different things so I went with it first. And then multiple people were asking about this issue on the WP support forums so I decided to cast a wider net for an answer. –  joseph_morris Jun 4 '12 at 22:30
    
I used to use it too, back when I was blogging heavily a few years ago, and it was pretty awesome then. It's sad to see it fall by the wayside, but I've seen a lot of amazing plugins die off as the devs switch jobs, languages, and platforms. –  SickHippie Jun 4 '12 at 22:44

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.